summaryrefslogtreecommitdiff
path: root/eclass/kernel-build.eclass
diff options
context:
space:
mode:
authorV3n3RiX <venerix@koprulu.sector>2022-05-12 16:42:50 +0300
committerV3n3RiX <venerix@koprulu.sector>2022-05-12 16:42:50 +0300
commit752d6256e5204b958b0ef7905675a940b5e9172f (patch)
tree330d16e6362a49cbed8875a777fe641a43376cd3 /eclass/kernel-build.eclass
parent0c100b7dd2b30e75b799d806df4ef899fd98e1ea (diff)
gentoo resync : 12.05.2022
Diffstat (limited to 'eclass/kernel-build.eclass')
-rw-r--r--eclass/kernel-build.eclass16
1 files changed, 15 insertions, 1 deletions
diff --git a/eclass/kernel-build.eclass b/eclass/kernel-build.eclass
index 279649301087..0a49533e48d3 100644
--- a/eclass/kernel-build.eclass
+++ b/eclass/kernel-build.eclass
@@ -1,4 +1,4 @@
-# Copyright 2020-2021 Gentoo Authors
+# Copyright 2020-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
# @ECLASS: kernel-build.eclass
@@ -52,6 +52,20 @@ BDEPEND="
kernel-build_src_configure() {
debug-print-function ${FUNCNAME} "${@}"
+ if ! tc-is-cross-compiler && use hppa ; then
+ if [[ ${CHOST} == hppa2.0-* ]] ; then
+ # Only hppa2.0 can handle 64-bit anyway.
+ # Right now, hppa2.0 can run both 32-bit and 64-bit kernels,
+ # but it seems like most people do 64-bit kernels now
+ # (obviously needed for more RAM too).
+
+ # TODO: What if they want a 32-bit kernel?
+ # Not too worried about this case right now.
+ elog "Forcing 64 bit (${CHOST/2.0/64}) build..."
+ export CHOST=${CHOST/2.0/64}
+ fi
+ fi
+
# force ld.bfd if we can find it easily
local LD="$(tc-getLD)"
if type -P "${LD}.bfd" &>/dev/null; then